VOMS-PROXY-LIST(1)

NAME
voms-proxy-list - Shows a list of all available attributes from a specified server

SYNOPSIS

voms-proxy-list [options]

DESCRIPTION

The voms-proxy-list prints on screen a list of all available attributes from a specified proxy server.

OPTIONS

Options may be specified indifferently with either a "-" or "--" prefix. The options from -help to -out are present for compatibility with grid-proxy-init, and have the exact same meaning. The meaning of the other ones is the following.

-help Displays usage

-version Displays version

-debug Enables extra debug output

-q Quiet mode, minimal output

-verify Verifies certificate to make proxy for

-pwstdin Allows passphrase from stdin

-cert certfile Non-standard location of user certificate

-key keyfile Non-standard location of user key

-certdir certdir Non standard location where the trusted CAs certificates are kept.

-out proxyfile Location of new proxy cert

-voms voms Specifies the VOMS server to contact using the nickname voms.

Example : voms-proxy-list --voms myVO

-conf file Read options from file.

-confile file

-userconf file

-vomses file Specifies the name of a configuration file from which a list of nicknames is read. The format of the file is the following: nick host port subject vo Where nick is the nickname, host and port are the hostname and port of the server to contact, subject is the subject of the server's certificate, while vo is the name of the VO that owns the server. The default filenames are $PREFIX/etc/vomses and $HOME/.glite/vomses.

Moreover, permissions must be 644 if a file is specified, and 755 if a directory is specified

The three options are synonyms. -confile and -userconf are deprecated. -vomses should be used instead.

-globus version This option is obsolete and only present for backwards compatibility with old installations. Currently, its value is ignored.

-noregen Use existing proxy to contact the server and to sing the new proxy.

-ignorewarn Ignore all warnings. They are not shown to the user.

-failonwarn Warnings become failures. The program will translates all warnings into errors and will react accordingly, by returning a failure itself.

-list Instead of producing an attribute certificate, this optin will print on screen a list of all attributes available to the user. This is a no-op

BUGS

EGEE Bug Tracking Tool[1]

SEE ALSO

voms-proxy-list(1), voms-proxy-init(1), voms-proxy-info(1), voms-proxy-destroy(1)

EDT Auth Home page[2]

CVSweb[3]

RPM repository[4]

AUTHORS

Vincenzo Ciaschini <Vincenzo.Ciaschini@cnaf.infn.it>.

Valerio Venturi <Valerio.Venturi@cnaf.infn.it>.

COPYRIGHT

Copyright (c) Members of the EGEE Collaboration. 2004. See the beneficiaries list for details on the copyright holders.

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

www.apache.org/licenses/LICENSE-2.0[5]

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

NOTES

1.  EGEE Bug Tracking Tool
    https://savannah.cern.ch/projects/jra1mdw/

2.  EDT Auth Home page
    http://grid-auth.infn.it

3.  CVSweb
    http://datagrid.in2p3.fr/cgi-bin/cvsweb.cgi/Auth/voms

4.  RPM repository
    http://datagrid.in2p3.fr/distribution/autobuild/i386-rh7.3

5.  www.apache.org/licenses/LICENSE-2.0
    http://www.apache.org/licenses/LICENSE-2.0